> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/english/sustainability/sustainability-api/increasing-energy-costs.md).

# Increasing energy costs

#### Making use of Custom Costs

Energy prices are on the rise and in order to provide proper calculations in terms of investments, savings and estimated energy usage the Sustainability API facilitates the input of custom costs for energy. See the full [Cost table input](/english/sustainability/sustainability-api/cost-table-input.md) for all options.

#### Code query example for overwriting the standard values for Gas and Electricity costs

```
{
  "data": {
    "max_investment": 60000,
    "post_code": "2771DS",
    "house_number": "87",
    "target_label": "A",
    "custom_costs":[
      {"code":2,"value":1.79808},
      {"code":3,"value":2.31534},
      {"code":4,"value":0.45455},
      {"code":5,"value":0.56027}]
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.altum.ai/english/sustainability/sustainability-api/increasing-energy-costs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
